<div class="pt-20 h-full">
   <div class="rounded p-5 h-full w-[2000px] ml-4 shadow-lg bg-white">
    <!-- <div>
      <div class="flex justify-around p-5 w-auto shadow-xl mb-8 bg-biru">
        <h2 class="w-36 text-center text-xl font-bold text-white">Produk</h2>
        <h2 class="w-36 text-center text-xl font-bold text-white">Deskripsi</h2>
        <h2 class="w-36 text-center text-xl font-bold text-white">Tanggal Terima</h2>
        <h2 class="w-36 text-center text-xl font-bold text-white">Nama Menu</h2>
        <h2 class="w-36 text-center text-xl font-bold text-white">Customer</h2>
        <h2 class="w-36 text-center text-xl font-bold text-white">User Peminta</h2>
        <h2 class="w-36 text-center text-xl font-bold text-white">Jenis Kertas</h2>
        <h2 class="w-36 text-center text-xl font-bold text-white">Deadline</h2>
        <h2 class="w-36 text-center text-xl font-bold text-white">Database</h2>
      </div>
    </div>
    <div *ngFor="let data of dataRequest ">
      <div class="flex justify-around rounded-xl  p-5 shadow-lg bg-white hover:bg-slate-200 cursor-pointer mb-5">
        <div class="w-36 text-center">{{data.produk}}</div>
        <div class="w-36 text-center leading-4">{{data.deskripsi}}</div>
        <div class="w-36 text-center leading-4">{{data.receivedDate| date :'EEEE, d MMMM y'}}</div>
        <div class="w-36 text-center">{{data.menuName}}</div>
        <div class="w-36 text-center">{{data.customer.nama}}</div>
        <div class="w-36 text-center">{{data.requestor.name}}</div>
        <div class="w-36 text-center">{{data.paperType}}</div>
        <div class="w-36 text-center leading-4">{{data.deadline| date :'EEEE, d MMMM y'}}</div>
        <div class="w-36 text-center">{{data.dbName}}</div>
      </div>
    </div> -->

     <table mat-table [dataSource]="dataSource"  class="mat-elevation-z8 demo-table">
        <ng-container matColumnDef="Produk">
          <th mat-header-cell *matHeaderCellDef >Produk</th>
          <td mat-cell *matCellDef="let element">{{element.produk}}</td>
        </ng-container>
        <ng-container matColumnDef="Deskripsi" >
          <th mat-header-cell *matHeaderCellDef >Deskripsi</th>
          <td mat-cell *matCellDef="let element">{{element.deskripsi}}</td>
        </ng-container>
        <ng-container matColumnDef="ReceivedDate">
          <th mat-header-cell *matHeaderCellDef >Tanggal Terima</th>
          <td mat-cell *matCellDef="let element">{{element.receivedDate| date :'EEEE, d MMMM y'}}</td>
        </ng-container>
        <ng-container matColumnDef="MenuName">
          <th mat-header-cell *matHeaderCellDef>Nama Menu</th>
          <td mat-cell *matCellDef="let element">{{element.menuName}}</td>
        </ng-container>
        <ng-container matColumnDef="Customer">
          <th mat-header-cell *matHeaderCellDef>Customer</th>
          <td mat-cell *matCellDef="let element">{{element.customer.nama}}</td>
        </ng-container>
        <ng-container matColumnDef="User">
          <th mat-header-cell *matHeaderCellDef >User Peminta</th>
          <td mat-cell *matCellDef="let element">{{element.requestor.name}}</td>
        </ng-container>
        <ng-container matColumnDef="PaperType">
          <th mat-header-cell *matHeaderCellDef>Jenis Kertas</th>
          <td mat-cell *matCellDef="let element">{{element.paperType}}</td>
        </ng-container>
        <ng-container matColumnDef="DeadLine">
          <th mat-header-cell *matHeaderCellDef>Deadline</th>
          <td mat-cell *matCellDef="let element">{{element.deadline| date :'EEEE, d MMMM y'}}</td>
        </ng-container>
        <ng-container matColumnDef="DataBase">
          <th mat-header-cell *matHeaderCellDef>Database</th>
          <td mat-cell *matCellDef="let element">{{element.dbName}}</td>
        </ng-container>
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>

      </table>

      <!-- <table datatable [dtOptions]="dtOptions" class="row-border hover">


      </table> -->
  </div>
</div>
